Bug 192217 - CSS Painting API should scale display list when drawing
Summary: CSS Painting API should scale display list when drawing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Justin Michaud
URL:
Keywords: InRadar
Depends on:
Blocks: 190217
  Show dependency treegraph
 
Reported: 2018-11-29 22:34 PST by Justin Michaud
Modified: 2018-12-03 20:04 PST (History)
9 users (show)

See Also:


Attachments
Patch (3.82 KB, patch)
2018-11-29 22:37 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.75 MB, application/zip)
2018-11-30 02:58 PST, Build Bot
no flags Details
Patch (10.62 KB, patch)
2018-11-30 14:48 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Patch (10.52 KB, patch)
2018-11-30 18:12 PST, Justin Michaud
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Michaud 2018-11-29 22:34:06 PST
When the user zooms in on a custom paint element, it should be sharp. This should not be visible to the paint worklet.
Comment 1 Justin Michaud 2018-11-29 22:37:54 PST
Created attachment 356142 [details]
Patch
Comment 2 Build Bot 2018-11-30 02:58:38 PST Comment hidden (obsolete)
Comment 3 Build Bot 2018-11-30 02:58:40 PST Comment hidden (obsolete)
Comment 4 Simon Fraser (smfr) 2018-11-30 10:19:11 PST
Comment on attachment 356142 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356142&action=review

> Source/WebCore/ChangeLog:9
> +        There are no tests for this because I do not know how to make tests that would not be flaky.

Why?

> Source/WebCore/html/CustomPaintCanvas.cpp:114
> +    m_destinationGraphicsContext = &image->context();
> +    m_destinationGraphicsContext->translate(-ctx->clipBounds().location());
> +    if (m_context)
> +        m_context->paintRenderingResultsToCanvas();
> +    m_destinationGraphicsContext = nullptr;

This is weird. Don't have the m_destinationGraphicsContext data member; just pass the destination context around.
Comment 5 Justin Michaud 2018-11-30 14:48:03 PST
Created attachment 356243 [details]
Patch
Comment 6 Justin Michaud 2018-11-30 18:12:15 PST
Created attachment 356278 [details]
Patch
Comment 7 WebKit Commit Bot 2018-12-03 20:03:22 PST
Comment on attachment 356278 [details]
Patch

Clearing flags on attachment: 356278

Committed r238839: <https://trac.webkit.org/changeset/238839>
Comment 8 WebKit Commit Bot 2018-12-03 20:03:24 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-12-03 20:04:30 PST
<rdar://problem/46441508>